IteratorChainBuilder (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.service

## Class IteratorChainBuilder

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.service.IteratorChainBuilder

-     public class IteratorChainBuilder
      extends Object

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IteratorChainBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static <I,O> ConversionIterator<I,O>` | `buildCaster(CloseableIterator<I> input)`
    `static <O extends FetchingElement> CloseableIterator<O>` | `buildChain(CloseableIterator<org.gcube.data.spd.model.products.ResultElement> input, SearchResultType type, org.gcube.application.framework.core.session.ASLSession session)`
    `static CloseableIterator<Occurrence>` | `buildOccurrenceConverter(CloseableIterator<org.gcube.data.spd.model.products.OccurrencePoint> input)`
    `protected static CloseableIterator<ResultRow>` | `buildSpecieProductChain(CloseableIterator<org.gcube.data.spd.model.products.ResultElement> input, org.gcube.application.framework.core.session.ASLSession session)`
    `protected static CloseableIterator<TaxonomyRow>` | `buildTaxonomyItemChain(CloseableIterator<org.gcube.data.spd.model.products.ResultElement> input, org.gcube.application.framework.core.session.ASLSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IteratorChainBuilder

          public IteratorChainBuilder()

  - ### Method Detail

    - #### buildChain

          public static <O extends FetchingElement> CloseableIterator<O> buildChain(CloseableIterator<org.gcube.data.spd.model.products.ResultElement> input,
                                                                    SearchResultType type,
                                                                    org.gcube.application.framework.core.session.ASLSession session)

    - #### buildSpecieProductChain

          protected static CloseableIterator<ResultRow> buildSpecieProductChain(CloseableIterator<org.gcube.data.spd.model.products.ResultElement> input,
                                                             org.gcube.application.framework.core.session.ASLSession session)

    - #### buildTaxonomyItemChain

          protected static CloseableIterator<TaxonomyRow> buildTaxonomyItemChain(CloseableIterator<org.gcube.data.spd.model.products.ResultElement> input,
                                                              org.gcube.application.framework.core.session.ASLSession session)

    - #### buildCaster

          protected static <I,O> ConversionIterator<I,O> buildCaster(CloseableIterator<I> input)

    - #### buildOccurrenceConverter

          public static CloseableIterator<Occurrence> buildOccurrenceConverter(CloseableIterator<org.gcube.data.spd.model.products.OccurrencePoint> input)

Copyright © 2013. All Rights Reserved.